--
-- Specialization for Lowboy_short
--
-- @author  Xentro (http://www.ls-uk.info)
-- @date  16/07/11
--
-- Do not edit without my permission

Vehicle.registerJointType("Goosneck");
Lowboy_short = {};

function Lowboy_short.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
	--return true;
end;

function Lowboy_short:load(xmlFile)

	print("Lowboy_short.lua (trailer) have been loaded" );
	
	self.reverseLights = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.reverseLights#index"));	
	setVisibility(self.reverseLights, false);
	
	self.helpHudPosX = 0.833;
    self.helpHudPosY = 0.1725;
    self.helpHudWidth = 0.17;
    self.helpHudHeight = 0.55;
    self.helpHudImg = Utils.getFilename("textures/Info_hud_lowboy_short.png", self.baseDirectory);
	self.helpHudOverlay = Overlay:new("helpHudOverlay", self.helpHudImg, self.helpHudPosX, self.helpHudPosY, self.helpHudWidth, self.helpHudHeight);
    self.helpHud 						= false;
	
	self.vehicleType = getXMLString(xmlFile, "vehicle#type");
end;

function Lowboy_short:delete()
end;

function Lowboy_short:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Lowboy_short:keyEvent(unicode, sym, modifier, isDown)
end;

function Lowboy_short:update(dt)
if self:getIsActive() then 

	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.HELP_HUD2) then
			self.helpHud = not self.helpHud;
		end;
	end;  
	
	if self.movingDirection == -1 and self:doCheckSpeedLimit() and self.lastSpeed*3600 > 0.27 then
		setVisibility(self.reverseLights, true);
	elseif self.movingDirection ~=-1  then 
		setVisibility(self.reverseLights, false);
	end;
	
	local joint = self.componentJoints[3];
	setJointFrame(joint.jointIndex, 0, joint.jointNode);
	local joint = self.componentJoints[4];
	setJointFrame(joint.jointIndex, 0, joint.jointNode);	
	local joint = self.componentJoints[5];
	setJointFrame(joint.jointIndex, 0, joint.jointNode);

end;
end;

function Lowboy_short:draw()

	if not self.helpHud then
		g_currentMission:addHelpButtonText(g_i18n:getText("Help_on"), InputBinding.HELP_HUD2);
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("Help_off"), InputBinding.HELP_HUD2);
		self.helpHudOverlay:render();
	end;
end;

function Lowboy_short:onAttach()
--	if (attacherVehicle.aGoosneck ~= nil and attacherVehicle.aGoosneck == 88) then
--		self.attacherVehicle:detachImplementByObject(self);
--	end;
end;

function Lowboy_short:onDetach()
	self.helpHud = false;
	setVisibility(self.reverseLights, false);
end;

function Lowboy_short:onLeave()
	setVisibility(self.reverseLights, false);
end;

function Lowboy_short:readStream(streamId, connection)
end;

function Lowboy_short:writeStream(streamId, connection)
end;