--
-- Specialization for Dolly
--
-- @author  Xentro (http://www.ls-uk.info)
-- @date  16/07/11
--
-- Do not edit without my permission

Dolly = {};

function Dolly.prerequisitesPresent(specializations)
	return true;
end;

function Dolly:load(xmlFile)

	print("Dolly.lua have been loaded" );
	
	self.reverseLights = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.reverseLights#index"));	
	setVisibility(self.reverseLights, false);
	
	self.vehicleType = getXMLString(xmlFile, "vehicle#type");
end;

function Dolly:delete()
end;

function Dolly:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Dolly:keyEvent(unicode, sym, modifier, isDown)
end;

function Dolly:update(dt)
	if self:getIsActive() then 
		if self.movingDirection == -1 and self:doCheckSpeedLimit() and self.lastSpeed*3600 > 0.27 then
			setVisibility(self.reverseLights, true);
		elseif self.movingDirection ~=-1  then 
			setVisibility(self.reverseLights, false);
		end;
	end;
end;

function Dolly:draw()
end;

function Dolly:onAttach()
end;

function Dolly:onDetach()
	setVisibility(self.reverseLights, false);
end;

function Dolly:onLeave()
	setVisibility(self.reverseLights, false);
end;